Question: How to use cummeRbund to draw plots after processing cuffdiff? (cuffdiff does not output .sqlite file as it should)
0
gravatar for yusheng_tan
9 months ago by
yusheng_tan0 wrote:

Hello,

I created a workflow having Cuffdiff in the end, which outputs the last file, .sqlite file, to serve the CummeRbund. However, it does not work. No .sqlite file was output. Even though after that I added the module of CummeRbund in the workflow, connected with Cuffdiff, it just does not work. Still, no .sqlite file was output and no result for cummeRbund.

So I wonder the method to output .sqlite file though Cuffdiff and then plot the DEGs results in CummeRbund and how it could work like in a workflow.

Thank you so much.

Have a good day, Yusheng

rna-seq galaxy cufflinks • 550 views
ADD COMMENTlink modified 9 months ago by Jennifer Hillman Jackson25k • written 9 months ago by yusheng_tan0
0
gravatar for Jennifer Hillman Jackson
9 months ago by
United States
Jennifer Hillman Jackson25k wrote:

Hello,

What version of Galaxy is your server and what version of Cuffdiff did you install?

An earlier version of Cuffdiff 2.2.1.3 is installed at https://usegalaxy.org (and the SQlite function works).

We will upgrading/testing to the 2.2.1.5 version (the most current version in the Tool Shed). As far as I know, there are no issues with it reported so far with respect to this function.

But, please follow here for updates and testing of the latest version in the latest version of Galaxy (a pre-release version of 17.09): https://github.com/galaxyproject/usegalaxy-playbook/issues/50

For now, double check the install and consider using the earlier version if you need to do this work right now. Or, wait and follow the testing of the newer version and then use once is confirmed to be successful.

Thanks for reporting the problem, Jen, Galaxy team

ADD COMMENTlink written 9 months ago by Jennifer Hillman Jackson25k

Update: The SQLite option has been confirmed to be problematic with Cuffdiff 2.2.1.5 at https://usegalaxy.org. Please follow the same ticket above for updates.

Meanwhile, Cuffdiff 2.2.1.3 can be used. If the failed 2.2.1.5 job's tool form is brought up using the rerun button, you can switch using the Versions menu at the top of the form and the original data will populate into that tool form. Or, you can just start over using the tool directly from the tool panel.

If you are working at your own server, install the 2.2.1.3 version.

ADD REPLYlink modified 4 months ago • written 4 months ago by Jennifer Hillman Jackson25k
Please log in to add an answer.

Help
Access

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.
Powered by Biostar version 16.09
Traffic: 111 users visited in the last hour